/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Specimen Fixatives
 */
public enum EnumCM_SpecimenFixatives {

	//CID 8114 Specimen Fixatives
	NEUTRAL_BUFFERED_FORMALIN("Neutral Buffered Formalin"),
	BOUINS_FLUID("Bouin's fluid"),
	FORMALIN_AQUEOUS_SOLUTION_OF_FORMALDEHYDE("Formalin aqueous solution of formaldehyde"),
	CARNOYS_FLUID("Carnoy's fluid"),
	FORMOL_SUBLIMATE("Formol sublimate"),
	HELLYS_FLUID("Helly's fluid"),
	MICHELS_MEDIUM("Michel's medium"),
	ZENKERS_FLUID("Zenker's fluid"),
	PARAFORMALDEHYDE("Paraformaldehyde"),
	ACETIC_ACID("Acetic acid"),
	CHLOROFORM("Chloroform"),
	CHROMIUM_TRIOXIDE("Chromium trioxide"),
	ETHANOL("Ethanol"),
	FORMALDEHYDE("Formaldehyde"),
	MERCURIC_CHLORIDE("Mercuric chloride"),
	METHANOL("Methanol"),
	OSMIUM_TETROXIDE("Osmium tetroxide"),
	PICRIC_ACID("Picric acid"),
	POTASSIUM_DICHROMATE("Potassium dichromate");
	
	private String value;
	
	EnumCM_SpecimenFixatives(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
